#!/bin/sh 
#
# Name: am_scandetection.sh
# Author: Steven Grell, Jesse Throwe
# Description: This script checks the state of paflogd and pafalertd, the
#  scandetection daemons, and restarts them if needed.
# Copyright 2001 Sun Microsystems, Inc. All rights reserved.
# $Id: am_scandetection.sh,v 1.4 2001/09/28 20:42:17 jthrowe Exp $

. /usr/sausalito/swatch/statecodes

msg=""

# we may change these later
FINAL_RET=$AM_STATE_GREEN
msg="[[base-scandetection.amStatusGreen]]"


ps --no-heading -C pafalertd > /dev/null 2>&1

if [ $? -ne 0 ]; then
	/etc/rc.d/init.d/scandetection restart > /dev/null 2>&1
	if [ $? -ne 0 ]; then
	msg="[[base-scandetection.amStatusRed]]"
	FINAL_RET=$AM_STATE_RED
	fi
fi

ps --no-heading -C paflogd > /dev/null 2>&1

if [ $? -ne 0 ]; then
	/etc/rc.d/init.d/scandetection restart > /dev/null 2>&1
	if [ $? -ne 0 ]; then
	msg="[[base-scandetection.amStatusRed]]"
	FINAL_RET=$AM_STATE_RED
	fi
fi
		
echo -ne "$msg"

exit $FINAL_RET

exit $?

